package com.pqs9000.pojo.common;

import com.njcn.pojo.commons.acceptability.AcceptabilityData;
import com.njcn.pojo.commons.device.DeviceGeneral;

import java.io.Serializable;

/**
 * @author hongawen
 * @version 1.0
 * @Date 2018/6/11 15:33
 */
public class OverviewData implements Serializable{
	DeviceGeneral deviceData ;
	DeviceGeneral onlineData ;
	DeviceGeneral integralityData ;
	AcceptabilityData acceptabilityData;

	public DeviceGeneral getDeviceData() {
		return deviceData;
	}

	public void setDeviceData(DeviceGeneral deviceData) {
		this.deviceData = deviceData;
	}

	public DeviceGeneral getOnlineData() {
		return onlineData;
	}

	public void setOnlineData(DeviceGeneral onlineData) {
		this.onlineData = onlineData;
	}

	public DeviceGeneral getIntegralityData() {
		return integralityData;
	}

	public void setIntegralityData(DeviceGeneral integralityData) {
		this.integralityData = integralityData;
	}

	public AcceptabilityData getAcceptabilityData() {
		return acceptabilityData;
	}

	public void setAcceptabilityData(AcceptabilityData acceptabilityData) {
		this.acceptabilityData = acceptabilityData;
	}

	@Override
	public String toString() {
		return "OverviewData{" +
				"deviceData=" + deviceData +
				", onlineData=" + onlineData +
				", integralityData=" + integralityData +
				", acceptabilityData=" + acceptabilityData +
				'}';
	}
}
